Page MenuHomePhabricator

AMDGPU: Start adding offset fields to flat instructions
ClosedPublic

Authored by arsenm on May 10 2017, 1:31 PM.

Details

Diff Detail

Event Timeline

arsenm created this revision.May 10 2017, 1:31 PM
tstellar accepted this revision.May 24 2017, 5:53 AM
This revision is now accepted and ready to land.May 24 2017, 5:53 AM
arsenm closed this revision.May 25 2017, 2:18 PM
arsenm added reviewers: vpykhtin, SamWot.

This breaks the existing flat atomics tests with glc. It seems to now be required to have offset to parse both glc and slc, but I'm confused about how the default offsets work in the other instructions. The custom converter that the others seem to require is never reached for flat

arsenm reopened this revision.May 26 2017, 1:03 AM
This revision is now accepted and ready to land.May 26 2017, 1:03 AM
vpykhtin accepted this revision.May 26 2017, 5:35 AM

LGTM.

arsenm closed this revision.Jun 12 2017, 8:56 AM

r305194